org.apache.ignite.compute.gridify.aop.spring

## Class GridifySetToValueSpringAspect

- java.lang.Object
- - org.apache.ignite.compute.gridify.aop.GridifySetToValueAbstractAspect
  - - org.apache.ignite.compute.gridify.aop.spring.GridifySetToValueSpringAspect

- All Implemented Interfaces:
    org.aopalliance.aop.Advice, org.aopalliance.intercept.Interceptor, org.aopalliance.intercept.MethodInterceptor

      public class GridifySetToValueSpringAspect
      extends GridifySetToValueAbstractAspect
      implements org.aopalliance.intercept.MethodInterceptor

  Spring aspect that cross-cuts on all methods grid-enabled with `GridifySetToValue` annotation and potentially executes them on remote node.

  Note that Spring uses proxy-based AOP, so in order to be properly cross-cut, all methods need to be enhanced with `GridifySpringEnhancer` helper.

  See `GridifySetToValue` documentation for more information about execution of `gridified` methods.

  See Also:
    `GridifySetToValue`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `GridifySetToValueSpringAspect()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Object` | `invoke(org.aopalliance.intercept.MethodInvocation invoc)` Aspect implementation which executes grid-enabled methods on remote nodes.

    - ### Methods inherited from class org.apache.ignite.compute.gridify.aop.GridifySetToValueAbstractAspect

      `checkIsSplitToJobsAllowed, checkMethodSignature, execute`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GridifySetToValueSpringAspect

          public GridifySetToValueSpringAspect()

  - ### Method Detail

    - #### invoke

          public Object invoke(org.aopalliance.intercept.MethodInvocation invoc)
                        throws Throwable

      Aspect implementation which executes grid-enabled methods on remote nodes.
      Specified by:
        `invoke` in interface `org.aopalliance.intercept.MethodInterceptor`
      Throws:
        `Throwable`

2020 Copyright © Apache Software Foundation
| Follow @ApacheIgnite
Ignite Database and Caching Platform | : ver. 2.9.1
Release Date | : December 9 2020